#include <iostream>
#include "SnetPrint.h"


int main()
{
	SnetPrint snet( "snet" );
	Node s, y1, y2, y3, x1, x2;
	Edge e;

	y1 = snet.AddOuterEntry();
	y2 = snet.AddOuterEntry();
	y3 = snet.AddOuterEntry();
	x1 = snet.AddOuterExit();
	x2 = snet.AddOuterExit();

	s = snet.AddSubcentre( 3, 2 );
	snet.Connect( y1, snet.FirstEntry( e, s ) );
	snet.Connect( y2, snet.NextEntry( e ) );
	snet.Connect( y3, snet.NextEntry( e ) );
	snet.Connect( snet.FirstExit( e, s ), x1 );
	snet.Connect( snet.NextExit( e ), x2 );

	snet.Print();

	SnetPrint snetCopy( snet );

	snetCopy.Print();

	snet.Replace( s, snetCopy );

	snet.Print();



	return 0;
}

